function menu --description 'Opens a menu of a list of Strings and writes the result to stdout'
	argparse h/help -- $argv
	or return

	if set -ql _flag_help
		echo "menu [-h|--help] [STRING ...]"
		return 0
	end

	string join -- \n $argv | fuzzel --dmenu -l (count $argv) || exit 0
end
